# Posts a new voucher for a specified client. Endpoint: POST /api/v1/clients/{clientId}/voucher Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) The unique identifier of the client to which the voucher will be posted. ## Request fields (application/json): - `voucherSeriesNumber` (string) - `valueDate` (string,null) - `autoUpdate` (boolean) - `batchDescription` (string,null) - `lines` (array, required) - `lines.debitAccountNumber` (integer) - `lines.creditAccountNumber` (integer) - `lines.matchingReference` (string,null) - `lines.units` (array) - `lines.units.unitId` (string, required) The unit ERP field name. - `lines.units.unitOptionValueId` (string, required) The option value. - `lines.description` (string,null) - `lines.bookingDate` (string,null) - `lines.externalId` (string,null) - `lines.currency` (string,null) - `lines.currencyNo` (integer,null) - `lines.amountDomestic` (number,null) - `lines.amountInCurrency` (number,null) - `lines.amountInCurrency2` (number,null) - `lines.exchangeRate` (number,null) - `lines.externalReference2` (string,null) - `lines.exchangeRate2` (number,null) - `lines.currencyNo2` (integer,null) - `lines.voucherType` (string,null) - `lines.additionalText` (string,null) - `lines.invoiceNumber` (string,null) - `lines.archiveReference` (string,null) - `lines.cid` (string,null) - `origin` (string) Enum: "Manually", "Ocr", "DirectPayment", "ExternalApplication" - `attachmentReference` (string,null) ## Response 200 fields (application/json): - `errorMessage` (string) - `voucherNumber` (string) - `batchId` (string)